// JavaScript Lucene Query Validator
// Author: Kelvin Tan  (kelvin@relevanz.com)
// Date:   10/04/2002
// Updated for FileNET by Frank Eichenlaub


// validates a lucene query.
// @param Form field that contains the query
function doCheckLuceneQuery(queryField)
{
//alert ("in validator: "+queryField);
  var query = queryField; //queryField.value;

// check for empty query (no characters)
   if(query == "") //query.charCodeAt(0) == 32 || 
  {
    alert("Invalid search query. Please enter a search string");
	return false;
  }
  
  if(query != null && query.length > 0)
  {
    // check for a query with all spaces
    //var matches = query.match(/[^\w] | [^a-zA-Z0-9\*\?\+\-]/);
	var matches = query.match(/([a-zA-Z0-9\*\?\+\-])|(\w\x20)|(\x20\w)]/);

	if(matches == null)
    {
      alert("Invalid search query. Please include alphanumeric characters in your search string.")
      return false;
    }
	
	
	// check '*' wildcard is used properly
	 var matches = query.match(/^(\*)|([^\w\.]\*)/);
    
    if(matches != null && matches.length > 0)
    {
      alert("Invalid search query. The wildcard (*) character must be preceded by at least one alphanumeric character. Please try again.")
      return false;
    }
	
	matches = query.match(/^(\?)|([^\w\.]\?)/);

    // check '?' wildcard is used properly
    if(matches != null && matches.length > 0)
    {
      alert("Invalid search query. The wildcard (?) character must be preceded by at least one alphanumeric character. Please try again.")
      return false;
    }
		

    // check parentheses are used properly
    matches = query.match(/^([^\n()]*|(\(([\?\sa-zA-Z0-9_+\-:()\"]|\*)+\)))*$/);
    if(matches == null || matches.length == 0)
    {
      alert("Invalid search query. Parentheses must contain at least one alphanumeric character. Please try again.")
      return false;
    }

    // check '+' and '-' are used properly      
	//matches = query.match(/^(([^\n+-]*|[+-]([a-zA-Z0-9_:()]|)+))$/);
	matches = query.match(/(\+$|\+[^a-zA-Z0-9_:\(\)])|(-$|-[^a-zA-Z0-9_:\(\)])/);//

    if(matches != null)
    {
      alert("Invalid search query. The '+' and '-' modifiers must be followed by at least one alphanumeric character. Please try again.")
      return false;
    }  



    // check that quote marks are closed
  matches = query.match(/\"/g);
    if(matches != null)
    {
      var number = matches.length;
      if((number % 2) > 0)
      {
        alert("Invalid search query. Please close all quote (\") marks.");
        return false;
      }
    }

    // check ':' is used properly
      matches = query.match(/^(([^\n:]*|([a-zA-Z0-9_]|\*)+[:]([a-zA-Z0-9_()"]|\*)+))*$/);
    if(matches == null || matches.length == 0)
    {
      alert("Invalid search query. Field declarations (:) must be preceded by at least one alphanumeric character and followed by at least one alphanumeric character. Please try again.")
      return false;
    }

    return true;
  }
}
